Extending Qt Creator Manual | PanelsWidget

Extending Qt Creator Manual 4.3.0

# PanelsWidget Class

(ProjectExplorer::PanelsWidget)

- List of all members, including inherited members

## Public Functions

| PanelsWidget(QWidget *parent = nullptr)
| PanelsWidget(const QString &displayName, const QIcon &icon, QWidget *widget)
void | addPropertiesPanel(const QString &displayName, const QIcon &icon, QWidget *widget)

## Member Function Documentation

### PanelsWidget::PanelsWidget(QWidget *parent = nullptr)

Default constructs an instance of PanelsWidget.

### PanelsWidget::PanelsWidget(const QString &displayName, const QIcon &icon, QWidget *widget)

Default constructs an instance of PanelsWidget.

### void PanelsWidget::addPropertiesPanel(const QString &displayName, const QIcon &icon, QWidget *widget)